Subject: Re: Last Call: <draft-housley-number-registries-02.txt> (Internet Numbers Registries) to Informational RFC

From: Scott O Bradner <[email-masked]>
Date: Mon, 16 Dec 2013 14:09:56 -0500

I’m not sure it is helpful to have the special use IPv4 address in more than one RFC

i.e., why not just point to RFC 6890 rather than reproduce it?

and if there is a reason to make a new one then this doc should unambiguously obsolete RFC 6890

Scott

On Dec 16, 2013, at 12:55 PM, The IESG <[email-masked]> wrote:

> 
> The IESG has received a request from an individual submitter to consider
> the following document:
> - 'Internet Numbers Registries'
>  <draft-housley-number-registries-02.txt> as Informational RFC
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2014-01-22. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>   RFC 7020 provides information about the Internet Numbers Registry
>   System and how it is used in the distribution of autonomous system
>   (AS) numbers and globally unique unicast Internet Protocol (IP)
>   address space.
> 
>   This companion document identifies the IANA registries that are part
>   of the Internet Numbers Registry System at this time.
> 
> 
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-housley-number-registries/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-housley-number-registries/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
>

---

From: SM <[email-masked]>
Date: Mon, 16 Dec 2013 12:57:38 -0800

>[email-masked] mailing lists by 2014-01-22. Exceptionally, comments may be

I read draft-housley-number-registries-02.  I don't see the purpose 
of identifying
IANA registries when there are already registries (e.g. IPv4 
Special-Purpose Address Registry and IPv6 Special-Purpose Address 
Registry Entries) which can be used to identify the entries used 
within the IETF.  There is a registry for IPv4 addresses at 
http://www.iana.org/assignments/ipv4-address-space/  It's unlikely 
that it will be changed as the global IPv4 address pool has run 
out.  There is a registry for IPv6 addresses at 
http://www.iana.org/assignments/ipv6-address-space/

The draft gets into a discussion about a reservation of the 
numbers.  There isn't anything in the draft which directly identifies 
IANA registries.  Quoting RFC 7020:

   "Per the delineation of responsibility for Internet address policy
    issues specified in the IETF/IAB/ICANN MOU [RFC2860], discussions
    regarding the evolution of the Internet Numbers Registry System
    structure, policy, and processes are to take place within the ICANN
    framework and will respect ICANN's core values [ICANNBL]."

Section 2.2 and Section 2.3 of this draft is in contradiction with 
the above by getting into the details of the framework.  By the way, 
the reference for RFC 7020 and RFC 1112 are missing.

Regards,
-sm

---

From: Russ Housley <[email-masked]>
Date: Mon, 16 Dec 2013 17:34:47 -0500

SM:

> I read draft-housley-number-registries-02.  I don't see the purpose of identifying
> IANA registries when there are already registries (e.g. IPv4 Special-Purpose Address Registry and IPv6 Special-Purpose Address Registry Entries) which can be used to identify the entries used within the IETF.  There is a registry for IPv4 addresses at http://www.iana.org/assignments/ipv4-address-space/  It's unlikely that it will be changed as the global IPv4 address pool has run out.  There is a registry for IPv6 addresses at http://www.iana.org/assignments/ipv6-address-space/

This document tells which registries have policy set by the RIRs.  The special-purpose values are exceptions, and that is why they are named in this document.

> The draft gets into a discussion about a reservation of the numbers.  There isn't anything in the draft which directly identifies IANA registries.  Quoting RFC 7020:
> 
> Section 2.2 and Section 2.3 of this draft is in contradiction with the above by getting into the details of the framework.  

Again, these are saying that exceptions require IETF Review, but otherwise the policy for these registries is handled by the RIRs.

> By the way, the reference for RFC 7020 and RFC 1112 are missing.

Thanks, I'll fix that.

Russ

---

From: SM <[email-masked]>
Date: Mon, 16 Dec 2013 19:36:11 -0800

Hi Russ,
At 14:34 16-12-2013, Russ Housley wrote:
>This document tells which registries have policy set by the 
>RIRs.  The special-purpose values are exceptions, and that is why 
>they are named in this document.

[snip]

>Again, these are saying that exceptions require IETF Review, but 
>otherwise the policy for these registries is handled by the RIRs.

Thanks for the reply.  I read draft-housley-number-registries-02 
again.  The "which registries have policy set ..." would be the following text:

   "The allocation and registration functions for all non-reserved
    globally unique unicast IPv4/IPv6 unicast addresses are handled by the
    Internet Numbers Registry System in accordance with policies
    developed by the Regional Internet Registries (RIRs)."

The special-propose values are already discussed in RFC 
6890.  Section 2.2 of that RFC mentions that:

   'IANA will update the aforementioned registries as requested in the
    "IANA Considerations" section of a document that has passed IETF
    Review [RFC5226].'

My reading of the above is that it says that exceptions require IETF 
Review.  I read Section 3 of RFC 7020:

   "In addition, ICANN performs the IANA services related to the IP
    address space and AS numbers according to global number resource
    policies that have been developed by the community and formalized
    under a Memorandum of Understanding between ICANN and the Regional
    Internet Registries [ASOMOU] and documented in [ICANNv4], [ICANNv6],
    and [ICANNASN]."

That text covers the policy angle.

The Introduction section of the draft mentions "IANA 
registries".  The quoted paragraph of the reply mentioned that the 
"document tells which registries have policy ...".  It is difficult 
to understand what the draft is about.

Regards,
-sm